﻿Public Class Ingredient
    Private m_name As String
    Private m_quantity As String
    Private m_icon As Image

    Public Sub New(name As String, iconUrl As String)
        Me.m_name = name
        m_icon = Bitmap.FromFile(iconUrl)
    End Sub

    Public ReadOnly Property Name() As String
        Get
            Return m_name
        End Get
    End Property

    Public Property Quantity() As String
        Get
            Return m_quantity
        End Get
        Set(value As String)
            m_quantity = value
        End Set
    End Property

    Public ReadOnly Property Icon() As Image
        Get
            Return m_icon
        End Get
    End Property
End Class