﻿Public Class Recipe
    Private m_preparation As String
    Private m_ingredients As List(Of Ingredient)
    Private m_imageUrl As String
    Private m_iconUrl As String
    Private m_title As String

    Public Sub New(title As String)
        Me.m_title = title
        m_ingredients = New List(Of Ingredient)()
        m_imageUrl = ""
        m_preparation = ""
    End Sub

    Public Property Preparation() As String
        Get
            Return m_preparation
        End Get
        Set(value As String)
            m_preparation = value
        End Set
    End Property

    Public Property Ingredients() As List(Of Ingredient)
        Get
            Return m_ingredients
        End Get
        Set(value As List(Of Ingredient))
            m_ingredients = value
        End Set
    End Property

    Public Property ImageUrl() As String
        Get
            Return m_imageUrl
        End Get
        Set(value As String)
            m_imageUrl = value
        End Set
    End Property

    Public Property IconUrl() As String
        Get
            Return m_iconUrl
        End Get
        Set(value As String)
            m_iconUrl = value
        End Set
    End Property

    Public ReadOnly Property Title() As String
        Get
            Return m_title
        End Get
    End Property
End Class